:root {
    --gold: #D4AF37;
    --black: #050505;
}

body {
    background-color: var(--black);
    color: #f8fafc;
    font-family: 'Montserrat', sans-serif;
    overflow-x: hidden;
    scroll-behavior: smooth;
}

.font-cinzel { font-family: 'Cinzel', serif; }

.reveal { opacity: 0; transform: translateY(30px); transition: all 1s cubic-bezier(0.16, 1, 0.3, 1); }
.reveal.active { opacity: 1; transform: translateY(0); }

input, select, textarea { background: rgba(255, 255, 255, 0.03) !important; border-bottom: 1px solid rgba(255, 255, 255, 0.1) !important; padding: 1rem 0.5rem !important; color: white !important; width: 100%; outline: none; font-size: 0.75rem; text-transform: uppercase; }
